Retrieve an account | Moov Documentation

Retrieve an account

Retrieves details for the account with the specified ID.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/profile.read scope.

GET

/accounts/{accountID}

Ask

curl -X GET "https://api.moov.io/accounts/{accountID}" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"

Ask

mc, _ := moov.NewClient()

var accountID string

mc.GetAccount(ctx, accountID)

Ask

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.accounts.get({
    accountID: "2f93a6cf-3b3b-4c17-8d3b-110dfadccea4",
  });

console.log(result);
}

run();

Ask

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$response = $sdk->accounts->get(
    accountID: '2f93a6cf-3b3b-4c17-8d3b-110dfadccea4'
);

if ($response->account !== null) {
    // handle response
}

Ask

package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.GetAccountResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

GetAccountResponse res = sdk.accounts().get()
                .accountID("2f93a6cf-3b3b-4c17-8d3b-110dfadccea4")
                .call();

if (res.account().isPresent()) {
            System.out.println(res.account().get());
        }
    }
}

Ask

from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

res = moov.accounts.get(account_id="2f93a6cf-3b3b-4c17-8d3b-110dfadccea4")

# Handle response
    print(res)

Ask

require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)
res = s.accounts.get(account_id: '2f93a6cf-3b3b-4c17-8d3b-110dfadccea4')

unless res.account.nil?
  # handle response
end

Ask

using Moov.Sdk;
using Moov.Sdk.Models.Components;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

var res = await sdk.Accounts.GetAsync(accountID: "2f93a6cf-3b3b-4c17-8d3b-110dfadccea4");

// handle response

The request completed successfully.

Ask

Example

{
  "accountID": "53ca67ea-6fd3-423f-9544-ce2404159d33",
  "accountType": "business",
  "createdOn": "2024-12-16T17:55:20.557151867Z",
  "displayName": "Whole Body Fitness LLC",
  "mode": "sandbox",
  "profile": {
    "business": {
      "legalBusinessName": "Whole Body Fitness LLC",
      "ownersProvided": false
    }
  },
  "settings": {
    "achPayment": {
      "companyName": "Whole Body Fitne"
    },
    "cardPayment": {
      "statementDescriptor": "Whole Body Fitness LLC"
    }
  },
  "updatedOn": "2024-12-16T17:55:20.557151867Z",
  "verification": {
    "status": "unverified",
    "verificationStatus": "unverified"
  }
}

Response headers

A unique identifier used to trace requests.

The request contained missing or expired authentication.

Response headers

A unique identifier used to trace requests.

The user is not authorized to make the request.

Response headers

A unique identifier used to trace requests.

The requested resource was not found.

Response headers

A unique identifier used to trace requests.

Request was refused due to rate limiting.

Response headers

A unique identifier used to trace requests.

The request failed due to an unexpected error.

Response headers

A unique identifier used to trace requests.

The request failed because a downstream service failed to respond.

Response headers

A unique identifier used to trace requests.

Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.

Possible values:

v2026.07.00

Unique identifier for this account.

The type of entity represented by this account.

Possible values:

individual,

business,

guest

The operating mode for an account.

Possible values:

sandbox,

production

Describes a Moov account profile. A profile will have a business, individual, or guest depending on the account's type.

Show child attributes

Describes a business.

Show child attributes

The legal name under which the entity is registered.

Show child attributes

The type of entity represented by this business.

Possible values:

soleProprietorship,

unincorporatedAssociation,

trust,

publicCorporation,

privateCorporation,

llc,

partnership,

unincorporatedNonProfit,

incorporatedNonProfit,

governmentEntity

A registered trade name under which the business operates, if different from its legal name.

Classification identifier for the industry. Use the GET industries endpoint to retrieve an array of valid industry details for a merchant, inducing all industry field values.

Show child attributes

Show child attributes

If the business is a financial institution, this field describes its primary regulator.

Possible values:

OCC,

FDIC,

NCUA,

FRB,

state-cu-regulator

Show child attributes

Show child attributes

Indicates whether this representative's birth date has been provided.

Indicates whether a government ID (SSN, ITIN, etc.) has been provided for this representative.

Show child attributes

The individual's first given name.

The individual's family name.

The individual's second given name, if any.

Suffix of a given name.

Show child attributes

Unique identifier for this representative.

Describes the job responsibilities of a business representative.

Show child attributes

Indicates whether this individual has significant management responsibilities within the business.

If true, this field indicates that the individual has a business ownership stake of at least 25% in the business. If the representative does not own at least 25% of the business, this field should be false.

The percentage of ownership this individual has in the business (required if isOwner is true).

Indicates whether a tax ID has been provided for this business.

Describes a guest account profile.

Show child attributes

The name associated with the guest account. This will default to "Guest {accountIDfirst8}" if no other name is provided.

Show child attributes

Describes an individual.

Show child attributes

Show child attributes

The individual's first given name.

The individual's family name.

The individual's second given name, if any.

Suffix of a given name.

Show child attributes

Indicates whether this individual's birth date has been provided.

Indicates whether a government ID (SSN, ITIN, etc.) has been provided for this individual.

Show child attributes

Describes identity verification status and relevant identity verification documents.

Show child attributes

Possible states an account verification can be in.

Possible values:

unverified,

pending,

verified,

errored

Additional detail for a verification status.

Possible values:

failedAutoVerify,

docDobMismatch,

docNameMismatch,

docAddressMismatch,

docNumberMismatch,

docIncomplete,

docFailedRisk,

potentialAccountSanctionsMatch,

potentialRepresentativeSanctionsMatch,

failedOther

Show child attributes

The document's MIME type.

Optional array of errors encountered during automated parsing.

Types of documents that can be uploaded.

Possible values:

driversLicense,

passport,

utilityBill,

bankStatement

Possible states an account verification can be in.

Possible values:

unverified,

pending,

resubmit,

review,

verified,

failed

Show child attributes

User-provided information that can be displayed on credit card transactions for customers to use when contacting a customer support team. This data is only allowed on a business account.

Show child attributes

Show child attributes

Show child attributes

Optional alias from a foreign/external system which can be used to reference this resource.

Free-form key-value pair list. Useful for storing information that is not captured elsewhere.

User provided settings to manage an account.

Show child attributes

Show child attributes

The description that shows up on ACH transactions. This will default to the account's display name on account creation.

User provided settings to manage card payments. This data is only allowed on a business account.

Show child attributes

The description that shows up on credit card transactions. This will default to the accounts display name on account creation.

Describes the acceptance of the Terms of Service.

Show child attributes

The date and time the terms of service were accepted.

The IP address (IPv4 or IPv6) from which the terms of service were accepted.